blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
2cbac006a57fa8fb48a9e0f5a3e35af26bcff552
Shell
MoBoo/splunk_elastic_evaluation_pocs
/elastic/Datenanalyse/Scripted Fields/setup/03_create-scripted_field.sh
UTF-8
1,675
3.1875
3
[]
no_license
# THIS DOES NOT WORK PROPERLY. IF THIS IS USED, KIBANA WILL OVERRIDE ALL FIELDS IN THE INDEX PATTERN. THEREFORE THIS INDEX PATTERN BECOMES USELESS. # to make this work a manual refresh of the index-pattern field list is required. This can be done in "Stack Management -> Index Patterns -> http_access_logs* -> refresh fi...
true
084ab1df4df190f6c7828fc19c058f6a3f9fa1fb
Shell
strekmann/vim
/setup.sh
UTF-8
761
2.984375
3
[]
no_license
#!/usr/bin/env bash cd ~/ if [ ! -e .config/base16-shell ]; then git clone https://github.com/chriskempson/base16-shell.git ~/.config/base16-shell fi if [ ! -e .vim/bundle/Vundle.vim ]; then git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim fi if [ ! -L .vimrc ]; then curl ht...
true
344165502f4b1695b4eb4d0474f6de7d322d00aa
Shell
Eurus-Holmes/stanfordnlp
/scripts/config.sh
UTF-8
665
2.53125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Set environment variables for the training and testing of stanfordnlp modules. # Set UDBASE to the location of CoNLL18 folder # For details, see http://universaldependencies.org/conll18/data.html # export UDBASE=/path/to/CoNLL18 # Set directories to store processed training/evaluation files export DA...
true
8d69841e86142bbe51e350edb3269d16e8cc4a2c
Shell
zanmato1984/my-sh
/install.sh
UTF-8
2,392
3.609375
4
[]
no_license
if [ $# != 2 ]; then echo 'Usage:' echo '' echo 'install.sh shell domain' echo '' echo 'shell: could be bash or zsh.' echo '' echo 'domain: could be goron, gerudo, rito or zora.' exit; fi SHELL=$1 DOMAIN=$2 if [ $SHELL = "bash" ]; then RC="$HOME/.bashrc" SHELL_ENV='"$BASH_IT"' elif [ $SHELL = "zsh"...
true
c55f78e0ed02ff23c345334fd6bb67ba9a1355d2
Shell
osidney/openlitespeed-autoinstall
/menu/crontab/them-cronjob
UTF-8
1,958
2.953125
3
[]
no_license
#!/bin/bash . /home/echbayols.conf if [ ! -d "/etc/echbay/crontab" ]; then mkdir -p /etc/echbay/crontab else rm -rf /etc/echbay/crontab/* fi echo "=========================================================================" #echo "Xem cach tao lenh crontab tai: http://cronjob.hostingaz.vn" #echo "-----------------------...
true
26f234665832725a0ede24fb7ef6742f74dd63a6
Shell
allenouyangke/common_shell
/rsync/rsyncInstall.sh
UTF-8
4,131
3.484375
3
[]
no_license
#!/bin/bash # ------------------------------------------------------------------------------- # Script_name : rsync_install.sh # Revision : 1.0 # Date : 2018/08/11 # Author : AllenKe # Email : allenouyangke@icloud.com # Description : rsync安装部署配置 # ---------------------------------------------...
true
1e994c9db2d2a06ca99c9f17e31005fa7cb7f6e0
Shell
learning-vi/vi-files
/amaze-your-friends/docs/course-tar/vi/makevi
UTF-8
292
3.421875
3
[]
no_license
#!/bin/sh # # this will compile all lessons and put into file called course # if test -f vi then mv vi vi.old fi DIR="head 1 2 3 4 5 6 " for name in ${DIR} do cd ${name} cat ${name}.* > ${name} cat ${name} >> ../vi rm ${name} cd .. done cp vi ../vi.txt # put at top level
true
81b41d81f497566bbe32e9819db0eac339ccea3c
Shell
NimbleCo/mcc
/docker/base/build-tool/usr/lib/mcc/component.sh
UTF-8
3,670
3.453125
3
[]
no_license
function mcc_component_get_manifest_dir() { local COMPONENT_NAME="$1" echo "${MCC_COMPONENT_MANIFESTS_DIR}/${COMPONENT_NAME}" } function mcc_component_get_iout_dir() { local COMPONENT_NAME="$1" echo "$MCC_COMPONENT_IOUT_DIR/$COMPONENT_NAME" } function mcc_component_get_iout_tmp_dir() { local COM...
true
1a590ee9b2131c4d654f3935760a0304b2ad6036
Shell
ninazu/android
/build.sh
UTF-8
1,637
2.859375
3
[]
no_license
#!/bin/bash JAVA_HOME="/home/ninazu/JDK/jdk1.8.0_144" ANDROID_HOME="/big/android-studio-sdk" SDK_VERSION="28.0.1" PACKAGE_PATH="com/example/testapp" PACKAGE="com.example.testapp" MAIN_CLASS="MainActivity" DEV_HOME=$(dirname "${0}") MAJOR_VERSION=$(echo $SDK_VERSION | cut -d. -f1) AAPT_PATH=$ANDROID_HOME/build-tools/$...
true
7a81332f4db07cc9d470b84d01bbd3a4140dfc45
Shell
rubixlai/DevOps-note
/xen/install.sh
UTF-8
2,027
2.6875
3
[]
no_license
##CentOS- #依赖包安装 yum install hmaccalc ncurses-devel zlib-devel openssl-devel python-devel bridge-utils libtool-ltdl iasl xorg-x11-drv-evdev xorg-x11-drv-fbdev xorg-x11-drv-i810-devel xorg-x11-drv-via-devel xorg-x11-proto-devel xorg-x11-server-sdk xorg-x11-xtrans-devel # flex bison(安装acpica需要) yum install flex bison ...
true
d323fae3eaee62bf0d47a09cfcc2499d18b88a40
Shell
ToBeDefined/LibTensorFlowForiOSSwift
/run.sh
UTF-8
2,992
3.265625
3
[]
no_license
BASE_PATH=$(cd `dirname $0`; pwd) TensorFlowZipName="tensorflow-1.2.1" # install Homebrew 已经安装可以注释此部分 /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" if [[ ! $? -eq 0 ]]; then echo "install Homebrew error" exit 1 fi ###############################################...
true
59bb178376966ec9b69a18409ceb038f48c65ea5
Shell
timonoko/Tokmannin-ESP8266-Wifi-topseli
/paska-welhon-wifi-serveri
UTF-8
420
3.03125
3
[]
no_license
#! /bin/bash # Äsh! # Paska wifi-serveri poistaa vehkeet, joita ei ole käytetty vähään aikaan. # Tämä vilkuttaa kaikkien töpseleiden sinisiä ledejä tasaseen tahtiin. cd /tmp while true ; do for x in $(seq 51 54) ; do wget -T 1 -t 1 http://192.168.0.$x/4/off rm -f off done sleep 1 for x in $(seq 51 ...
true
0ffeaaec66ef6c2c4e3f41ad85dbe223bdc0a360
Shell
caichang01/louplus-linux
/old/09-auto-recovery-service-script/check_service.sh
UTF-8
234
3.484375
3
[]
no_license
#!/bin/bash service=$1 sudo service "$service" status &>/dev/null status=$? case $status in 0) echo "is Running" ;; 1) echo "Error: Service Not Found" && exit 1 ;; 3) echo "Restarting" sudo service "$service" start ;; esac
true
8fbe4e61e3f08c131bab0ae664c6dddbe27e5ac0
Shell
virus2121/aosp-builder
/sync
UTF-8
1,501
2.640625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash mkdir -p /tmp/rom # Where to sync source cd /tmp/rom # Repo init command, that -device,-mips,-darwin,-notdefault part will save you more time and storage to sync, add more according to your rom and choice. Optimization is welcomed! Let's make it quit, and with depth=1 so that no unnecessary things. repo i...
true
0fc878f0ade3830d2f54d41dbb70ad0697fad3b8
Shell
androdev4u/network
/salt/upstream/port-forwarding
UTF-8
269
3.0625
3
[]
no_license
#!/bin/sh export PATH=/sbin:/bin:/usr/sbin:/usr/bin if [ "$IFACE" = "{{ interface }}" ]; then {%- for fwd in ports %} iptables -t nat -A PREROUTING -i {{ interface }} -p {{ fwd.proto }} --dport {{ fwd.port }} -j DNAT --to-destination {{ fwd.to }} {%- endfor %} fi
true
7cef6c8a4fbe15c4b5bcfd9c7c7202645fd2d398
Shell
FJchen/ts150
/violate/1_create_table/hive_insert/INSERT_TODDC_SAACNACN_H.sh
UTF-8
717
2.765625
3
[]
no_license
#!/bin/sh ###################################################### # 个人活期存款主档: TODDC_SAACNACN_H表拉链处理 # wuzhaohui@tienon.com ###################################################### #引用基础Shell函数库 source /home/ap/dip_ts150/ts150_script/base.sh #登录Hadoop hadoop_login #解释命令行参数 logdate_arg $* # 依赖数据源--当天...
true
871ed5539fb38c97682b707406806ed155a07568
Shell
georgejhunt/sketches
/phonehome
UTF-8
1,021
3.46875
3
[ "MIT" ]
permissive
#!/bin/bash -x # script to copy relevent information to the vpn server # called once an hour by crontab VPNSERVER=5.5.0.1 DEPLOYNAME=greenwave function skip_ifrecent { RECENT_CHECK='-daystart -mtime 0' if [ `find ~/$DEPLOYNAME/xfer-done.txt $RECENT_CHECK 2>/dev/null` ];then exit 0 fi } function skip_ifoffline { p...
true
e7d37751fc8c01c438d6e743408816992ae94e0f
Shell
yoya/x.org
/X11R6/xc/util/memleak/find-rtns.sh
UTF-8
742
3.4375
3
[]
no_license
#!/bin/sh # # $XConsortium Exp $ # # find-routines - convert leak tracer stack traces into file/lineno traces # using a modified version of gdb-4.4 # # Usage: find-routines <program-name> {leak-tracing-output-files} # TMP1=find-routine.tmp1 TMP=find-routine.tmp trap "rm -f $TMP $TMP1" 0 OBJ=$1 shift grep 'return st...
true
59a66a49ced0e1726c116d680a5b03965dc69de8
Shell
meoso/WUDS
/run.sh
UTF-8
892
3.8125
4
[]
no_license
#!/bin/bash # run WUDS # -- uses first wireless interface if IFACE isn't set in config if [ "$EUID" -ne 0 ] then echo "Please run as root." exit 1 fi if [ ! -f config.py ]; then echo 'Copying config.py.sample to config.py' #copy with user, not root sudo -u "$SUDO_USER" cp "config.py.sample" "config....
true
5f7ff69aa2064f978d9652458afb815f87bd2e9c
Shell
thenightex/gitlab-ci-testing
/7-gitlab-docker-prod/runner-and-docker-host-osx.sh
UTF-8
676
2.90625
3
[]
no_license
#!/bin/bash # Setup Gitlab Runner, version 1 # INSTALL BREW /bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install.sh)" # INSTALL RUNNER brew install gitlab-runner brew services start gitlab-runner # INSTALL DOCKER brew install docker # INSTALL DOCKER-COMPOSE brew install docke...
true
2d2c5fd52fb4d704b97396b4ed83f0966236e865
Shell
debrando/gospel
/populate.sh
UTF-8
225
2.84375
3
[ "MIT" ]
permissive
# populate.sh file.txt [heroku] if [ "$2" == "heroku" ]; then addr="http://gospel99.herokuapp.com" else addr="127.0.0.1:8088" fi while IFS= read -r line; do curl --data-urlencode "msg=$line" -X POST $addr/msg/; done < "$1"
true
a894acf1a24907d4261bf6228795b83c92d960e5
Shell
sjoblomj/latexcompilescript
/latex.sh
UTF-8
2,256
4.25
4
[ "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/bash if [ "$1" == "--help" ]; then echo "Latex compile script 1.0, by Johan Sjöblom. The code is public domain." echo "Usage:" echo "$0 <filename> Compiles the given file" echo "$0 <filename> -l Compiles loudly, eg prints pdflatex output" exit 0 fi # pdflatex will produce some "help...
true
e6684e40404e58e0f7ca557e2d1a526538aa8002
Shell
adiktofsugar/mail-server-dev
/install-smtp-server.sh
UTF-8
964
3.625
4
[]
no_license
#!/bin/bash set -eu -o pipefail project_root="$(cd `dirname ${BASH_SOURCE[0]}`; pwd)" usage=" install-smtp-server.sh -h - this help Installs smtp server as a service, so that the smtp server will start on boot, and starts it Sends a test mail " while getopts ":h" opt; do case "$opt" in h) echo "$usage"; ...
true
69c76c802348bc12dec238bc681becd7759908dc
Shell
aya/infra
/ansible/roles/hosts/files/etc/profile.d/rc.sh
UTF-8
1,997
3.75
4
[ "MIT" ]
permissive
# verify that default functions are loaded type force >/dev/null 2>&1 || . /etc/profile.d/rc_functions.sh 2>/dev/null # test current shell flags case $- in # if we are in an interactive shell *i*) # load user defined stuffs from ~/.rc.d for user_func in "${HOME}"/.rc.d/*; do # read files only ...
true
1b5dd642326a3a2bd607cb82fe088e2cf949d8fa
Shell
zebscripts/FunRun3-Bot
/funrun-ai.sh
UTF-8
12,969
3.53125
4
[ "MIT" ]
permissive
#!/system/bin/sh # Variables DEVICEWIDTH=1920 SCREENSHOTLOCATION="/storage/emulated/0/scripts/afk-arena/screen.dump" STATE="unknown" RGB=000000 # Arrays ARRAYRGB=() ARRAYRGB2=() # Counts SCREENCOUNT=0 RGBCOUNT=0 INGAMECOUNT=0 # Parameters PARAMX=1 PARAMY=2 # Coordinates PIXELX=0 PIXELY=0 # Return values OUTPUT=1 # De...
true
ff3cbab9b2e43f5fc8df0715214f92ee9e4b8698
Shell
khoitnm/practice-spring-kafka-grpc
/docker/start.sh
UTF-8
230
2.609375
3
[]
no_license
#!/bin/bash export KAFKA_ADVERTISED_HOST_NAME=$(ip a | sed -En 's/127.0.0.1//;s/172.*.0.1//;s/.*inet (addr:)?(([0-9]*\.){3}[0-9]*).*/\2/p') echo "KAFKA_ADVERTISED_HOST_NAME: ${KAFKA_ADVERTISED_HOST_NAME}" docker-compose up -d
true
def5b50e901bfe7dc312d7f7e6ce12b552766963
Shell
gokulmaran/bridgelabz1
/Empispre.sh
UTF-8
216
3.40625
3
[]
no_license
#! /bin/bash -x #WAP to check employee is present or absent use random and if condition a=$(( RANDOM%2 )) if [ $a -eq 0 ] then echo "employee is absent" else [ $a -eq 1 ] echo "employee is present" fi
true
c3eca565e3066e2ca4a907e163c5f1bbc247998c
Shell
dejanzelic/business-casual
/bootstrap.sh
UTF-8
1,136
2.890625
3
[]
no_license
#!/usr/bin/env bash #update and prepare dependencies export DEBIAN_FRONTEND=noninteractive apt-get update apt-get install curl gconf-service libasound2 libatk1.0-0 libc6 libcairo2 libcups2 libdbus-1-3 libexpat1 libfontconfig1 libgcc1 libgconf-2-4 libgdk-pixbuf2.0-0 libglib2.0-0 libgtk-3-0 libnspr4 libpango-1.0-0 libp...
true
059a6f86383c976ea4b2fe644f0f86d45f9db3ed
Shell
8l/lfscript
/scripts/blfs-13994-unchecked/vsftpd
UTF-8
1,537
3.359375
3
[ "MIT" ]
permissive
#!/bin/bash # The instructions in this file are extracted from # 'Beyond Linux From Scratch' (2014-08-22 / r13994) but are modified for use # with LFScript 4 which installs the software to a fake root directory. # # Beyond Linux From Scratch is released under the MIT license. # Copyright (C) 2001-2014, The BLFS Develo...
true
0ef81b1142a486e209401750a4abe22efd2b74e8
Shell
deephyper/scalable-bo
/experiments/sc23-example/navalpropulsion/auto.sh
UTF-8
1,159
2.8125
3
[ "BSD-2-Clause" ]
permissive
#!/bin/bash export NUM_WORKERS=8 export timeout=70 export DEEPHYPER_BENCHMARK_SIMULATE_RUN_TIME=1 export DEEPHYPER_BENCHMARK_PROP_REAL_RUN_TIME=0.01 export random_states=(1608637542 3421126067 4083286876 787846414 3143890026 3348747335 2571218620 2563451924 670094950 1914837113) exec_experiments () { ./dhb_na...
true
e2771d952260f004b427bfb05f9c13ec71c95f0c
Shell
gmatheu/deb-packages
/dcevm/jre7/deb/DEBIAN/prerm
UTF-8
673
3.109375
3
[ "MIT" ]
permissive
#!/bin/sh set -e basedir=/usr/lib/jvm/java-7-dcevm-amd64 jre_tools='java keytool pack200 rmid rmiregistry unpack200 orbd servertool tnameserv' rm -f $basedir/jre/lib/amd64/client/classes.jsa rm -f $basedir/jre/lib/amd64/server/classes.jsa if [ "$1" = "remove" ] || [ "$1" = "deconfigure" ]; then for i in $jre_to...
true
651d3d0e74f342672cc4cf9a74dad8953755453c
Shell
kurokawh/test
/sed/od.sh
UTF-8
301
2.890625
3
[]
no_license
#!/bin/sh # $0 objname < in > out # # read binary data from standard input. # then output C array definition to standard output. # arg 1 is the name of array. # objname=${1:-objname} od -A n -v -t x1 | sed -e '1i\ const unsigned char '$objname'[] = { s/\([0-9a-f][0-9a-f]\) */0x\1,/g $s/,$// $a\ }; '
true
d04bdc54deb736a85fcdedd6d92996c754f3ddc0
Shell
shinji62/buildpacks-ci
/scripts/stacks/create-release-without-modifying-stacks
UTF-8
247
2.515625
3
[ "LicenseRef-scancode-unknown-license-reference", "Apache-2.0" ]
permissive
#!/bin/bash set -e pushd cf-release bundle config mirror.https://rubygems.org ${RUBYGEM_MIRROR} bundle bosh create release --force --with-tarball --name cf --version 212.0.`date +"%s"` popd rsync -a cf-release/ cf-release-artifacts
true
ce78935647fdbe2b9d2c8edf35adceff2c15f250
Shell
paulbdavis/doti3
/bin/external-ip
UTF-8
807
3.625
4
[]
no_license
#!/usr/bin/env bash cacheFile="/tmp/externalip-$USER" if [[ "$1" = "-r" ]] then rm $cacheFile else modified=$(expr $(date +%s) - $(date +%s -r $cacheFile)) if [[ $modified -gt 1800 ]] then rm $cacheFile fi fi if [[ ! -f "$cacheFile" ]] then touch $cacheFile fi cachedIp=$(cat $cacheF...
true
3d8a2d3da00c0114f0f14ee8e0d696f60495d0f7
Shell
sarpu/Zooniverse
/upload_subjects/convert_2_mp3.sh
UTF-8
373
3.359375
3
[]
no_license
outfolder=`grep "outfolder" ../config.py | awk '{ gsub(".*=", "") ; system( "echo " $0) }'` echo Converting WAV files to MP3 using SOX... #CONVERT TO MP3 for filename in $outfolder/data-for-upload/*.wav; do echo "${filename%.*}"; sox "${filename%.*}".wav "${filename%.*}".mp3; done #REMOVE WAVs for filename in $ou...
true
d02210c0ce21738b42061760c0ac28874c5b752f
Shell
AHETESHAMS/ShellScriptPrograms
/flipCoin.sh
UTF-8
137
3.28125
3
[]
no_license
#!/bin/bash head=1 for (( i=0;i<10;i++ )) do result=$(( RANDOM%2 )) if [ $result -eq $head ] then echo "Head" else echo "Tail" fi done
true
bf28073ea7b03fae2db0b201c41cf8e55a06e78c
Shell
GoogleCloudPlatform/anthos-service-mesh-samples
/docs/mtls-egress-ingress/terraform/install_asm.sh
UTF-8
2,534
3.140625
3
[ "LicenseRef-scancode-unknown-license-reference", "Apache-2.0" ]
permissive
# Copyright 2021 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing,...
true
ab60986c2907bede08c38aa4ef8a953b45584dbf
Shell
ashbryant/wp-local-docker
/bin/setup.sh
UTF-8
10,635
3.671875
4
[]
no_license
#!/bin/bash # Purpose: WordPress provisioning script # Source: https://ashbryant.com # Author: Ash # # NOTE: # Seeing as I'm new to bash & I don't know when I will be back to it... # "&& \" This lets you do something based on whether the previous command completed successfully. Seeing as most of this requires that pro...
true
49325b9a82f005c6d8cd583cfcbd78b9274c1bb3
Shell
rathores/Stock-Market-Analysis
/Stock Market Analysis Scripts/trading.sh
UTF-8
1,272
2.890625
3
[]
no_license
clear echo " " echo "*********************************************************************************************************************************" echo "" echo " " echo "FinCorp supports following company investment-" echo "apple apolo ebay facebook ford gail glf honda Int maruti reliance SBI TCS volkswagen yesBa...
true
f676f47d3b1ba3ded92b898630aeb526e7845f59
Shell
bhudgens/stardock
/bin/stardock-attach
UTF-8
837
3.640625
4
[]
no_license
#!/usr/bin/env bash ### Usage: ### stardock-attach <service> ### ### Fuzzy match and make attaching to instances easier export DIR=$(cd $(dirname ${BASH_SOURCE[0]}) && pwd) source "$DIR/stardock-launcher" die_on_error run_as_root_or_die # Make sure they pass 'something' to search for [ -z "${service}" ] && echo Pl...
true
8bf3f2e2ae2f7cf6363d47b970c566b045c68f30
Shell
pavelsg/aws-utils
/get-first-blk-id.sh
UTF-8
762
4.15625
4
[]
no_license
#!/bin/bash function print_help() { echo Parameters missing cat <<EOF Usage: $0 <space-separated device list> EOF exit 1 } if [ "$1" == "" ] then print_help fi if [ "$2" != "" ] then >&2 echo Multiple parameters not supported. >&2 echo To pass multiple block devices use quotas exit 1 ...
true
9c1fed315878ce9c5018e531cc9be7d3e2b10182
Shell
CyberSys/bifrost-build
/all/opt-apache-2.2.17-1/Fetch-source.sh
UTF-8
1,256
2.875
3
[]
no_license
#!/bin/bash SRC=httpd-2.2.17.tar.bz2 DST=/var/spool/src/"${SRC}" MD5=16eadc59ea6b38af33874d300973202e [ -s "${DST}" ] || ../../wget-finder --checksum "${MD5}" -O "${DST}" http://apache.archive.sunet.se/dist/httpd/"${SRC}" \ || ../../wget-finder --checksum "${MD5}" -O "${DST}" http://apache.localhost.n...
true
68760f3c52b2511d1b7699db9f2f835db60bef89
Shell
jayvdb/gitMC
/amender.sh
UTF-8
766
3.046875
3
[ "MIT" ]
permissive
#!/bin/bash # Don't run this script till you understand consequences of rebase. # Everyone will have to reclone # # Note that "noreply@github.com" comes from making commits from the website. # it doesn't seem to impact commit count? # # https://help.github.com/articles/changing-author-info/ # https://www.git-tower.com/...
true
ed6ea19f5af64902798545ecf66fadd0ed47fec0
Shell
gWOLF3/bitbox
/bitbox/src/ubuntu/install/bottle.sh
UTF-8
502
2.578125
3
[]
no_license
#!/usr/bin/env bash set -e echo "Install Bottle Browser" #install utils apt-get update -y apt-get install git-core curl build-essential openssl libssl-dev -y apt-get clean # install node curl -L https://raw.githubusercontent.com/zeit/install-node/master/install.sh | sh node -v # install npm curl -L https://npmjs....
true
a5e090b6c9b5adfa087157ffc0db887b2dfb7225
Shell
JacintoCC/swap1415
/Trabajo/siege.sh
UTF-8
2,026
3.5625
4
[]
no_license
#!/bin/bash function mediaAritmetica() { declare -a numeros=("${!1}") local media=0 for item in ${numeros[@]} do media=`echo "scale=3; $media + $item" | bc -l` done media=`echo "scale=3; $media / ${#numeros[@]}" | bc -l` echo "$media" } PRUEBAS=10 declare -A URLS=( ["granja_haproxy_sour...
true
347b9ad2c01f6ad8bb3699033b8ba32ef53a7f2a
Shell
marcelloc/Unofficial-pfSense-packages
/pkg-postfix/files/usr/local/bin/mail_report.sh
UTF-8
1,425
3.046875
3
[]
no_license
#!/bin/sh # # mail_report.sh # # part of Unofficial packages for pfSense(R) softwate # Copyright (c) 2019 Marcello Coutinho # All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the Licens...
true
6ab2a8c6bde73457aee7845279fbda33a46f8abd
Shell
majestrate/livechan
/tools/addchan.sh
UTF-8
203
2.828125
3
[]
no_license
#!/usr/bin/env bash # # add channels manually # #cd $(dirname $0) vals="" for arg in $@ ; do vals="(\"$arg\"),$vals" done sqlite3 livechan.db <<EOF INSERT INTO Channels(name) VALUES${vals:0:-1}; EOF
true
b25a2940180076d8ffbc679536125a31f1118d27
Shell
0918nobita/m4
/test.bash
UTF-8
254
3.09375
3
[]
no_license
#!/bin/bash -eu ninja -v find ./src -mindepth 1 -maxdepth 1 -type f -name "*.spec.m4" | while read file do name=$(basename $file .spec.m4) echo "[${name}]" m4 -daeq -E -E -R ./src/base.m4f -I ./src $file echo -e " \033[1;32mSuccess\033[0m" done
true
018bc82140396dad0c245d5c4700680de25fe045
Shell
reezer/maplibre-gl-native
/platform/ios/platform/ios/scripts/deploy-to-cocoapods.sh
UTF-8
1,466
3.671875
4
[ "LicenseRef-scancode-unknown-license-reference", "MIT", "BSD-3-Clause", "curl", "ISC", "BSL-1.0", "JSON", "BSD-2-Clause", "IJG", "Zlib", "Apache-2.0", "OpenSSL", "LicenseRef-scancode-openssl", "blessing", "LicenseRef-scancode-ssleay-windows", "LicenseRef-scancode-warranty-disclaimer", ...
permissive
#!/usr/bin/env bash # This relies on either: # 1. You being authenticated locally with CocoaPods trunk. # 2. The `COCOAPODS_TRUNK_TOKEN` environment variable being set. set -euo pipefail function step { >&2 echo -e "\033[1m\033[36m* $@\033[0m"; } function finish { >&2 echo -en "\033[0m"; } trap finish EXIT CIRC...
true
52e77f6b0d54ec6111e2c7a62c81cf144ff792b4
Shell
mahkhaled/cell_template
/scripts/rotate
UTF-8
1,888
4.65625
5
[]
no_license
#!/bin/bash Usage="Usage: rotate -p[please provide the fulll path and the file naming convension] -l[Number of versions you want to leave] -h[To display this help]" # Checking if there is no argument specified then print out Usage. if [ "$#" -le "0" ]; then echo $Usage exit 1; fi # showopts function is responsib...
true
2bdef4bd14fccd5a97bad4e66a57c7716f65bf22
Shell
JuanGuerreroUP/NAS_SO
/eznas
UTF-8
993
3.140625
3
[]
no_license
#!/bin/bash NASPath=$(cat /opt/eznas/mountrute.txt) ObjectivePath=$(cat /opt/eznas/localroute.txt) if [[ $# -eq 0 ]]; then echo "comando incorrecto, pruebe usar eznas -h para ver las opciones disponibles" exit 1 fi case $1 in '-s') /opt/eznas/setup.sh ;; '-p') if [[ $# -eq 3 ]]; th...
true
88391e81bc47fe18eb237a3f791b1be56cff146b
Shell
Grimeton/CodeServer-Image
/code-server/images/run/ubuntu/all/modules/CS_ENABLE_WHEEL.sh
UTF-8
4,771
2.96875
3
[]
no_license
#!/usr/bin/env bash # # # Copyright (c) 2020, <grimeton@gmx.net> # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are met: # # 1. Redistributions of source code must retain the above copyright notice, this # list of conditions ...
true
a443a5ecdb4fdbcb11b97573025b1987ff05e061
Shell
akatrevorjay/shellshock-formula
/shellshock/compile_bash.sh
UTF-8
608
3.6875
4
[]
no_license
#!/bin/bash ## ## Manually compile and install bash ## ~ Trevor Joynson (trevorj) <github@skywww.net> ## set -e WORKDIR="/usr/src/shellshock" BASH_FTP_ROOT="http://ftp.gnu.org/gnu/bash" BASH_VER="4.3" BASH_PATCH_LEVEL="27" [[ ! -d "$WORKDIR" ]] || rm -rf "$WORKDIR" mkdir -p "$WORKDIR"; cd "$WORKDIR" wget -q "$BASH_F...
true
3c4b69d5cc2bddc929a9f4ff6498a0c8e1333af6
Shell
openbox2008/openstack-pike-autoinstall
/openstack-flat-compute.sh
UTF-8
1,304
2.578125
3
[]
no_license
#!/bin/bash #------------------------------- # install openstack flat network for compute # by openbox2008 # 2018-06-08 #------------------------------- #脚本在计算 节点172.16.100.72~74上执行 #1.创建ovs网桥 ovs-vsctl add-br br-eth1 #2.将物理业务网卡em2加入到br-eth1网桥中 ovs-vsctl add-port br-eth1 em2 #3.修改配置文件/etc/neutron/plugins/ml2/ml2_c...
true
4fc45a20a3a5e43c1c6bdeb33adeb6c7e5161327
Shell
alxerg/txtlog
/txtlog
UTF-8
4,471
4.5
4
[ "MIT" ]
permissive
#!/usr/bin/env bash today() { date +%Y-%m-%d } common_prefix() { read a; read b while [[ "$b" != "" ]]; do a=$(printf "%s\n%s\n" "$a" "$b" | sed -e 'N;s/^\(.*\).*\n\1.*$/\1/') read b done printf "$a" } root_help() { echo -e " Usage: txtlog COMMAND A tool to store notes nad journal entries in te...
true
fb58d32af481a43ef67562a252dce7efba527016
Shell
wzbbbb/bkp_home
/pj29_finding_missed_job_after_crash/ses_create.sh
UTF-8
389
3.21875
3
[]
no_license
#!/bin/bash -x total_line=`wc -l EXP_ses_shw.txt` s=`grep -n ITEMS EXP_ses_shw.txt |cut -f1 -d":"` #ses_name=`grep -n ITEMS EXP_ses_shw.txt |cut -f3 -d":"` i=1 for n in $s ; do array[$i]=$n let i+=1 #echo ${array[$i]} done i=1 for m in $s ; do let j=$i+1 head_=${array[$i]} let tail_=${array[$j]}-3 sed -n ${...
true
70bff0a1ffa9dc567bbddc8f5af57651ec0ccd67
Shell
goncalotomas/FMKe
/scripts/config/change_db.sh
UTF-8
438
3.640625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e show_supported_dbs() { echo "FMKe supports the following data stores:" for value in "antidote" "antidote_norm" "riak" "riak_norm" "redis" ; do echo "-$value" done } if [ "$#" -lt 1 ]; then echo "Error: no data store name supplied" show_supported_dbs echo "error" exit 1 f...
true
08f4baf47f047d3b6b5e728bf40d4cf8e82c74a2
Shell
oxygen-TW/Campus-Weather-Service
/Install_Tools/OpenWRT_LEDE/install.sh
UTF-8
744
2.9375
3
[ "BSD-3-Clause" ]
permissive
read -p "Which is your detector type?" type opkg update opkg install git python python3 python-pip unzip kmod-usb-serial kmod-usb-serial-ftdi pip install --upgrade pip pip install pyserial pip install pymysql git clone https://github.com/oxygen-TW/Weather-Station.git wget http://weather.nhsh.tp.edu.tw/download/driver/...
true
308a5c9c55e533384e10467824468237b73ff575
Shell
NTTDATA-CLOUDHEDGE-POC/jx3-pipeline-catalog
/.lighthouse/jenkins-x/ci.sh
UTF-8
888
3.40625
3
[]
permissive
#!/usr/bin/env bash set -e declare -a repos=( "nodedemo" ) # TODO to test locally could be: $CURDIR/../../packs PACKDIR=/workspace/source/packs CURDIR=$(pwd) export PROJECT_DIR=test-projects rm -rf $PROJECT_DIR mkdir -p $PROJECT_DIR for r in "${repos[@]}" do echo "upgrading repository https://github.com/jenkins-...
true
d0b23cf6487b9254a90cc80ec177c50d28b4d574
Shell
nekottyo/dotfiles
/.config/zsh/logging_tmux_pane.zsh
UTF-8
242
3.421875
3
[]
no_license
if [[ "${TMUX}" != "" ]] ; then TMUX_LOG_PATH="${HOME}/.logs/tmux" if [[ ! -d "${TMUX_LOG_PATH}" ]]; then mkdir -p "${TMUX_LOG_PATH}" fi tmux pipe-pane "cat | rotatelogs ${TMUX_LOG_PATH}/%Y%m%d_%H-%M-%S_#S:#I.#P.log 86400 540" fi
true
e3c5d079e80ee992fc1ee43653b1a7af34aaf53e
Shell
mgree/modernish
/lib/modernish/cap/BUG_SELECTRPL.t
UTF-8
684
2.921875
3
[ "ISC", "CC0-1.0" ]
permissive
#! /shell/bug/test/for/moderni/sh # See the file LICENSE in the main modernish directory for the licence. # BUG_SELECTRPL: in a shell-native 'select' loop, input that is not a menu # item is not stored in the REPLY variable as it should be. # # Bug found in mksh R50 2014/09/03. # Known to be fixed as of mksh R50 2015/...
true
d7e66b0334458bf91c5d693a94b3cb5f3bf4f1be
Shell
00h-i-r-a00/moby_simulator
/launchAllSimulations.sh
UTF-8
438
2.71875
3
[]
no_license
#!/bin/sh for server in achtung02 achtung03 achtung04 achtung05 achtung06 achtung07 achtung08 achtung09 achtung10 achtung11 achtung12 achtung13 achtung14 achtung15 achtung16 achtung17; do ssh $server << EOF echo "######################################################" $SHELL hostname pkill -f monitor_m...
true
12d69c6358c4644b8f02c05b13f20950b5e66e63
Shell
Vman45/shell-1
/snippets/statusbar.sh
UTF-8
2,426
3
3
[]
no_license
#!/bin/bash # vim:fileencoding=utf-8:ft=sh:foldmethod=marker # path: ~/coding/shell/snippets/statusbar.sh # user: klassiker [mrdotx] # github: https://github.com/mrdotx/shell # date: 2019-11-09 21:59:58 # combining commands for output cputemp="$(cat /sys/class/thermal/thermal_zone0/temp | cut -c...
true
f608c7fe4050aa7b523d6d1a85c6068e75c81f84
Shell
CAMOBAP/hackerrank
/golang/run_test.sh
UTF-8
1,424
3.875
4
[]
no_license
#!/bin/bash IGNORE_DIRS="common|golang.org|Makefile" while true; do case $1 in --list) challenges=$(ls -1 src | grep -vwE '($IGNORE_DIRS)') echo "Challenges list:" $challenges exit 0;; *) break;; esac done TEST_TIMEOUT=5s challenges="$@" if [ -z "$challenges" ]; then challenges=$(ls -1 src | g...
true
f9f5e12db28a2676a7e8722d2af68ddd8d05e82f
Shell
stevengonsalvez/bash-functions
/gce-functions
UTF-8
1,809
3.765625
4
[]
no_license
#!/bin/bash : ${DEBUG:=1} debug() { [[ "$DEBUG" ]] && echo "[DEBUG] $*" 1>&2 } gce_reload_functions() { source $BASH_SOURCE } gce_upgrade_functions() { curl -Lo $BASH_SOURCE j.mp/gce-functions source $BASH_SOURCE } gce_zones() { gcloud compute zones list --format json|jq .[].name -r } gce_list_disks() {...
true
9311075eb0c6474e0b062baa1438e174b2b0314d
Shell
rsling/cow
/src/de/slurm/de16-smor.sh
UTF-8
474
2.953125
3
[ "BSD-2-Clause" ]
permissive
#!/bin/bash # FOR ARRAY JOB!!! # Pass: dir (absolut corpus root, like "decow16"), LIST FILE, offset in file list #SBATCH --mem=1G #SBATCH --time=00:20:00 set -e set -u # Create true in file name from input="`cat ${2} | tail -n +${3} | sed -n ${SLURM_ARRAY_TASK_ID},${SLURM_ARRAY_TASK_ID}p`" inf="${1}/05divide/${inp...
true
304db10eca3d52decebdfd04563e68bde830535e
Shell
johnellis1392/workspace
/aws/lambda/notes.sh
UTF-8
929
3.6875
4
[]
no_license
#!/usr/bin/env bash function_name=example-handler # List all functions aws lambda list-functions # Get configuration information for function aws lambda get-function --function-name ${function_name} # Download zip file for a particular function get_function_by_name() { [[ $# != 1 ]] && echo "Wrong Arity" && retu...
true
d78aba936e3826973862efb6d2e9328e76b2e796
Shell
phoxelua/ar_sculpting
/make
UTF-8
257
2.703125
3
[]
no_license
#!/bin/bash if [ $1 = "clean" ]; then echo "Cleaning..." cd src/ && rm *.class && make clean -f Makefile.man else echo "Building..." cd src/ && javac -classpath "/usr/lib/Leap/LeapJava.jar:json-simple-1.1.1.jar" Sample.java && make -f Makefile.man fi
true
32c614183b82bf9459ae1521edcfb5ac5b1380ab
Shell
SendOutCards/jenkins-standalone
/jenkins-standalone.sh
UTF-8
2,415
3.3125
3
[ "Unlicense" ]
permissive
#!/bin/bash set -e # $JENKINS_VERSION should be an LTS release JENKINS_VERSION="1.596.2" # List of Jenkins plugins, in the format "${PLUGIN_NAME}/${PLUGIN_VERSION}" JENKINS_PLUGINS=( "credentials/1.22" "email-ext/2.39" "git/2.3.5" "git-client/1.17.1" "greenballs/1.14" "slack/1.8" "job-dsl/...
true
f89c8c447ac00727f6a28b7e0bc112b2f0d59f70
Shell
skywind3000/docker
/mysql/8.0/mysql.sh
UTF-8
5,927
3.765625
4
[ "MIT" ]
permissive
#!/bin/bash # ### BEGIN INIT INFO # Provides: mysql # Required-Start: $remote_fs $syslog # Required-Stop: $remote_fs $syslog # Should-Start: $network $named $time # Should-Stop: $network $named $time # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Start and stop t...
true
93becab56e182c17de4e0594d2aa7f58d7531220
Shell
icyphox/axiom
/interact/axiom-select
UTF-8
234
3
3
[]
no_license
#!/bin/bash if [ -z "$1" ] then ans=$(doctl compute droplet list | awk '{ print $2 }' | fzf) echo "{\"instance\":\"$ans\"}" | jq > ~/.axiom/profile.json else echo "{\"instance\":\"$1\"}" | jq > ~/.axiom/profile.json fi
true
b5cd50c0a159c9efa65a96928ab2d3707da99835
Shell
aeternity/terraform-aws-api-gateway
/test/health-check.sh
UTF-8
1,415
3.21875
3
[]
no_license
#!/bin/bash set -Eeuo pipefail API_ADDR=$(terraform output -json |jq -r '."api_gate_fqdn"."value"') echo "Checking" $API_ADDR # Basic health check endpoint curl -sSf -o /dev/null --retry 10 --retry-connrefused https://${API_ADDR}/healthz echo "Checking HTTP -> HTTPS redirect" # HTTP -> HTTPS redirect curl -sSf -L -o ...
true
bf1d129f0b827ad87eec43560f6f7745161b9fa0
Shell
wesleysan7os/sysadmin
/roteiro03/script8.sh
UTF-8
196
3.3125
3
[]
no_license
#!/bin/bash if [ -f $1 ]; then echo "Arquivo encontrado" else echo "Arquivo nao encontrado" fi if [ -d $1 ]; then echo "Diretorio existe" else echo "Diretorio nao existe ou nao encontrado" fi
true
14380aea106b3cf002dd506b494c773545154b0c
Shell
pbespechnyi/os-diy-jetty
/start.sh
UTF-8
332
2.90625
3
[]
no_license
#!/bin/sh cd ${OPENSHIFT_DATA_DIR}jetty if [ -L webapps ]; then rm webapps else rm -rf webapps fi ln -s ${OPENSHIFT_REPO_DIR}deployments webapps CMD="java -Xms384m -Xmx412m -jar start.jar -Djetty.host=$OPENSHIFT_DIY_IP -Djetty.port=$OPENSHIFT_DIY_PORT" nohup $CMD > $OPENSHIFT_LOG_DIR/server.log 2>&1 & echo $!...
true
d7440ad4690d976b83ecb9177199c065e019b5a6
Shell
z7n/shell_scripts
/dotfiles_setup.sh
UTF-8
111
2.8125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Copy dotfiles to home directory for f in $(ls -1 dotfiles/*); do cp $f ${f/dotfiles\//~/.}; done
true
8c012330ab5aa80aa25c7dd8c015c53eb00df543
Shell
hoernsten/lxd
/modules/create
UTF-8
4,771
4.09375
4
[]
no_license
#!/bin/bash ################################## ##### Create a new container ##### ################################## # Prompt for container configuration details read -p "Container name [default=random]: " container read -p "Container image [default=ubuntu:20.04]: " image read -p "Container disk quota (e.g. 500MB or ...
true
6445ba0f385c2e87abc13c282488aebc3fef0406
Shell
y2kbugger/bash_config
/.bashrc
UTF-8
2,845
3.28125
3
[]
no_license
# # ~/.bashrc # # check if on windows if [ -d /c ]; then win=true else win=false fi # If not running interactively, don't do anything # old ways: # [[ "$-" in *i* ]] && return # [[ "${-#*i}" != "$-" ]] && return # more robust interactivity checker in case "$-" is set to more than just "i". # See # https://www....
true
89845d25559a0bcab4db7fc30d019b8d47b504fe
Shell
mtecer/consul
/terraform/openstack/templates/bootstrap-ansible.sh.tpl
UTF-8
1,700
3.125
3
[ "MIT" ]
permissive
#!/bin/bash -x ANSIBLE_USER="${ansible_user}" ANSIBLE_HOME="${ansible_home}" GITREPO="${consul_ansible_repo}" source /etc/profile.d/proxy.sh cat << HERE > $${ANSIBLE_HOME}/.ssh/id_rsa ${ssh_private_key} HERE cat << HERE > $${ANSIBLE_HOME}/.ssh/config Host * ServerAliveInterval 60 StrictHostKeyChecking no ...
true
5a4caf40f67c74afac1dfd9cb462be01382ae517
Shell
ClementBonnefont/PGE2019
/Corbeau/tiago_pge/src/pal_navigation_sm/scripts/cp_pose_to_home.sh
UTF-8
462
3.953125
4
[]
no_license
#! /bin/sh # # Copies the pose to $HOME/.pal; creates the target folder if it doesn't exist. TARGET=$HOME/.pal # Ensure target directory exists if [ ! -d "$TARGET" ]; then echo "Warning: Target path $TARGET doesn't exist. Creating it." mkdir -p $TARGET if [ $? -ne 0 ]; then echo "Error: Target path $TARGET ...
true
bd68a22e717658f283fca174e8db8e82b8c4122f
Shell
jljox/dotfiles
/bin/fetch_git_repos.sh
UTF-8
177
3.390625
3
[]
no_license
#!/usr/bin/env bash GIT_DIRS=`find . -type d -name .git` wd=`pwd` for gitdir in $GIT_DIRS do dir=`dirname $gitdir` echo "cd into $dir" cd $dir && git fetch; cd $wd done
true
b56e40166e74911d8e81f4c86cdf803137b472f5
Shell
zybreak/nodyn
/support/loop.sh
UTF-8
452
3.21875
3
[ "Apache-2.0" ]
permissive
#!/bin/sh #MVN=/usr/local/bin/mvn if [ "$MVN" = '' ] ; then MVN=mvn fi OUTFILE=./tmp/build TASK="install" # command line interpolation is broken, I think # OPTS='-Dtest.pattern="**/netPauseSpec.js"' if [ ! -e ./tmp ] ; then mkdir tmp fi for i in {1..100} do #${MVN} ${TASK} ${OPTS} > ${OUTFILE}-${i}.log 2>&1 ...
true
3289bf5c07bffa10dc2bad35fdf517d3f1634ed8
Shell
patmorin/bin
/texbundle
UTF-8
969
4.09375
4
[]
no_license
#!/bin/bash -e # Bundle the files used by pdflatex into a single file r=${1%.tex} if [[ ! -e $r.tex ]]; then echo "File \"$r.tex\" does not exist - quitting!" echo "Usage: $0 <texfile>" exit -1 fi # pdflatex the document and extract the file list from the log file latexmk -pdf "$r" fl=`mawk 'BEGIN {record=0;} ...
true
0015f2deee238b18c9378b31b2a9d96f6ba84e2e
Shell
KoalaV2/faster-ducky-encoder
/encoder
UTF-8
790
3.546875
4
[]
no_license
#!/bin/bash #Asks if there are any other storage devices plugged in since if there was the rubber ducky would not be able to get mounted on /dev/sdb1 echo "Do you have any other storage deviced plugged in expect the rubber ducky?" read storage if [ $storage == "no" ];then udisksctl mount -b /dev/sdb1 case $? in 0...
true
30afc643a271ae8a1ab334ec48994e940e26e4ce
Shell
joseaguardia/descargas2020_auto
/info_themoviedb.sh
UTF-8
1,411
3.5625
4
[]
no_license
#!/bin/bash #Pasándole una serie y temporada, devuelve en CSV nombre completo,número de capítulos, url_poster, nombre_poster SERIE=$1 TEMPORADA=$2 APIKEY="1234567890ABCDEFGHIJKLMNO" POSTER_SIZE=500 #Valores: 92, 54, 185, 342, 500, 780 POSTER_URL_BASE="http://image.tmdb.org/t/p/w$POSTER_SIZE/" #obtener ID de la ...
true
dda5b062606413c1eac79eaad33db64340d562e1
Shell
joshuaeveleth/places-website
/dbTools/refreshDevDb.sh
UTF-8
1,046
3.703125
4
[]
no_license
#!/bin/bash USER=`whoami` api_db=dev_places_api pgs_db=dev_places_pgs backupDate="$(date +'%Y%m%d%H%M')" PROD_api_db=places_api PROD_pgs_db=places_pgs if [ $USER = "postgres" ]; then echo "**** backing up the dev databases ****" pg_dump -Fc "$api_db" > "./backups/api_backup_$backupDate" pg_dump -Fc "$pgs_db" >...
true
430590a75832be88444d5ec52a5948bea3ccf9e3
Shell
yast/aytests-tests
/aytests/kdump_default.sh
UTF-8
282
2.546875
3
[]
no_license
#!/bin/bash set -e -x # Taking proposed values if <crash_kernel>, <general> have not been defined in AutoYaST configuration file. (bnc#997448) grep "crashkernel=[0-9]" /boot/grub2/grub.cfg grep "<KDUMP_KEEP_OLD_DUMPS>5</KDUMP_KEEP_OLD_DUMPS>" /root/autoinst.xml echo "AUTOYAST OK"
true
3b75f2749071c890308be16044af75e3154d5bb8
Shell
jrzingel/galactic-builder
/update_servers.sh
UTF-8
665
3.28125
3
[]
no_license
#!/usr/bin/env bash echo "Updating Remotes..." #git remote git pull origin # Pull origin to stay up to date PHR="Release Alpha v" NUM1=6 # Set new main version number here NUM2=2 # And set version minor number here VER=$NUM1.$NUM2 MSG=$PHR$VER #sed -e "206s/$NUM1.$TMP/$NUM1.$NUM2/" templates/index.html # Update the...
true
dba90ff17e0c5a0621a51eb8e998828432851069
Shell
B-Tsai/case_autorun
/case_autorun.sh
UTF-8
1,537
3.5
4
[]
no_license
#!/bin/bash # # # # # source ./modules/job.sh source ./settings.sh `of240` # Submit the job for the first time echo "First time submitting the job ..." job_submit $$ sleep 5 retry_times=0 latest_time_step_remote=0 while [ $retry_times -le 5 ] do # Start checking job status echo "Check job status ..." ...
true
13261ae637ef1a1b25585edf54ca5ffd93dfcf24
Shell
tyru/gittools
/git-push-backup
UTF-8
590
3.921875
4
[]
no_license
#!/bin/sh dir= remote="backup" branch="master" usage() { cat <<EOM git-push-backup - Push branch given remote NOTE: now I guess this is totally useless because 'git push --all' does the job. Usage: git-push-backup {repos_dir} [{remote} [{branch}]] EOM exit 1 } for varname in dir remote branch; do if ...
true
11ceb9dbdfd67346ba6a755320893272b606d88a
Shell
mklement0/awf
/test/finds root of all installed workflows
UTF-8
928
3.796875
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # --- # IMPORTANT: Use the following statement at the TOP OF EVERY TEST SCRIPT # to ensure that this package's 'bin/' subfolder is added to the path so that # this package's CLIs can be invoked by their mere filename in the rest # of the script. # --- PATH=${PWD%%/t...
true
9c29d0769ac5347d894bcc371248c28aeb595999
Shell
liuxuanhai/CGI_Web
/trunk/src/server/token_server/dist/monitor.sh
UTF-8
211
2.921875
3
[]
no_license
#!/bin/bash CTL=/home/dev/hoosho/server/token_server/ctl_hoosho_token_server.sh SERVER_BIN=hoosho.token_server pn=`ps ax | awk '{print $5}' | grep $SERVER_BIN | wc -l` if [ $pn -eq 0 ] ; then $CTL start fi
true
73417821cf9051058c069a65e41b3e69ed2872dc
Shell
gpfreitas/gpfports
/bashreduce/install_bashreduce.sh
UTF-8
312
2.78125
3
[]
no_license
#!/usr/bin/env sh PREFIX="${HOME}"/local cd "$PREFIX"/src \ && git clone https://github.com/erikfrey/bashreduce.git \ && cd "$PREFIX"/src/bashreduce \ && sed -i .bak "s:/usr/local/bin:$PREFIX/bin:g" brutils/Makefile \ && cd "$PREFIX"/src/bashreduce/brutils \ && make \ && make install
true
8dfa8b549a29f123617da7e9053538e447758383
Shell
PiMaker/Dotfiles
/i3-gaps/.config/i3/switch_mon.sh
UTF-8
2,780
3.796875
4
[ "MIT" ]
permissive
#!/bin/bash set -e #set -x # format: array[] of: # { # "num": 2, # "name": "2", # "visible": true, # "focused": true, # "rect": { # "x": 1920, # "y": 25, # "width": 3440, # "height": 1415 # }, # "output": "HDMI-A-0", # "urgent": false # } workspaces=$(i3-msg -t get_workspaces | jq '.[]...
true
3ec44929de6de38e2208eb128cd7f36381246731
Shell
axfcampos/.terminal.configs
/bash_profile
UTF-8
2,126
3.234375
3
[]
no_license
#!/usr/bin/env bash source ~/.profile ##################################################### ##### BASH_IT ##################################################### # Path to the bash it configuration export BASH_IT=$HOME/.bash_it # Lock and Load a custom theme file # location /.bash_it/themes/ export BASH_IT_THEME='mini...
true
5bf3acb029e8dedf61c84aeb2391f843671e1aba
Shell
orcguru/pid_monitor
/workload/spark/scripts/daemon_control.sh
UTF-8
571
3.671875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash if [ $# -lt 3 ] then echo "Usage: ./daemon_control.sh <TGT_HOST> <SPARK_HOME> <ACTION: START/STOP>" exit 1 fi TGT_HOST=$1 SPARK_HOME=$2 ACTION=$3 if [ $ACTION != "START" ] && [ $ACTION != "start" ] && [ $ACTION != "STOP" ] && [ $ACTION != "stop" ] then echo "ACTION should be START/STOP/start/...
true
5cd2cf37133f13017df334dfefb3211c3580e22d
Shell
IMAGE-ET/dicom-2
/tools/mac_scripts/dicoml.sh
UTF-8
656
2.8125
3
[]
no_license
#!/bin/bash status="$1" if [ $status = 'load' ] then echo "Loadinf dicom Agents..." launchctl load /Library/LaunchAgents/com.dicom.job.plist launchctl load /Library/LaunchAgents/com.dicom.day.plist launchctl load /Library/LaunchAgents/com.dicom.del.plist echo "List of loaded dicom agents..." launchctl list | ...
true
adf034556add1840db17cf7bf878718fb757ef34
Shell
petronny/aur3-mirror
/archisthebest/PKGBUILD
UTF-8
436
2.84375
3
[]
no_license
pkgname=archisthebest pkgver=1.0 pkgrel=1 pkgdesc="Arch is the best!" url="http://www.archlinux.org" arch=('any') license=('GPLv3') #source=() #md5sums=() build() { mkdir -p $startdir/pkg/usr/bin/ echo '#!/bin/sh' >> $startdir/pkg/usr/bin/archisthebest echo >> $startdir/pkg/usr/bin/archisthebest echo '...
true
d96e7260aff888f16dce0049410262bbedd4917c
Shell
ptptptptptpt/install
/openstack/deploy_openstack_kolla_toolbox.sh
UTF-8
884
3.28125
3
[]
no_license
#!/bin/bash # # Dependencies: # programDir=`dirname $0` programDir=$(readlink -f $programDir) parentDir="$(dirname $programDir)" programDirBaseName=$(basename $programDir) set -o errexit set -o nounset set -o pipefail set -x ## log dir mkdir -p /var/log/stackube/openstack chmod 777 /var/log/stackube/openstack ## ...
true
9c53426f91a8d636302babb8a6dedc9f27b15da1
Shell
davidschmitt/consul-connect-workshop
/steps/step16.sh
UTF-8
409
2.96875
3
[]
no_license
# # Confirm that Consul Connect Intentions now allow our access # # You can also test access by opening the following URL from # a browser running on the same machine as this demo: # # http://127.0.0.3:8700/ui/dc1/services # curl -s http://127.0.0.3:8700/ui/dc1/services >curl.out if [ "$?" "=" "0" ] then echo "Acce...
true
3802fae472dc40d5dbda8c1b3bd9aff56cc7b7ff
Shell
olonho/electric-jungle-server
/scripts/start_all
UTF-8
289
2.8125
3
[]
no_license
#!/bin/sh ROOT=/net/electricjungle/ed/ElectricJunglesServlet/scripts chmod +x /net/electricjungle/ed/ElectricJunglesServlet/scripts/* for i in `cat $ROOT/machines`; do box=`echo $i | awk -F: '{ print $1 }'` num=`echo $i | awk -F: '{ print $2 }'` $ROOT/startjobs $box $num done
true